<script setup lang="ts">
import { useFoodStore } from '@/stores/food';
import { onMounted } from 'vue';


const foodStore = useFoodStore();

onMounted(async () => {
  await foodStore.getOrderCF(foodStore.order);
});

function getOrdercf() {
  foodStore.getOrderCF(foodStore.order);
}
setInterval(getOrdercf, 1000);
</script>

<template>
  <v-container>
    <v-card color="#f15200" style="text-align: center;"><label class="htable">โต๊ะ: {{ foodStore.table }}</label></v-card>
    <v-row>
      <v-col cols="12">
      <v-table id="Menu" style="padding-top: 5px;">
        <thead>
            <tr>
            <th class="shadow">รายการ</th>
            <!-- <th class="text-center justify-center align-center">ราคา</th> -->
            <!-- <th style="min-width: 140px;">สถานะ</th> -->
            <th class="text-center"><v-icon icon="mdi-circle" color="red"></v-icon></th>
              <th class="text-center"><v-icon icon="mdi-circle" color="yellow"></v-icon></th>
              <th class="text-center"><v-icon icon="mdi-circle" color="green"></v-icon></th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="item of foodStore.confirmList" :key="item.id">
              <td>
                <label>{{ item.menu.price * item.amount }}฿[{{ item.amount }}] {{ item.menu.name }}</label>
              </td>
              <!-- <td class="text-center justify-center align-center">
                  <label>{{ item.menu.price * item.amount }}</label>
                </td> -->
              <!-- <td>
                  <label v-if="item.status === 'ยกเลิก'" class="text-red">{{ item.status }}</label>
                  <label v-else-if="item.status === 'เสิร์ฟสำเร็จ'" class="text-green">{{ item.status }}</label>
                  <label v-else>{{ item.status }}</label>
                </td> -->
              <td class="text-center">{{ item.numCancel }}</td>
              <td class="text-center">{{ item.amount - item.numCancel - item.numConfirm }}</td>
              <td class="text-center">{{ item.numConfirm }}</td>
            </tr>
          </tbody>
        </v-table>
      </v-col>
    </v-row>
    <div style="text-align: center" class="sum">
      <v-card outlined color="transparent"><label>ยอดรวม: {{ foodStore.sum }}฿</label></v-card>
    </div>
    <div style="padding-top: 10px;"><v-icon icon="mdi-circle" color="red"></v-icon> : เมนูอาหารถูกยกเลิก</div>
    <div><v-icon icon="mdi-circle" color="yellow"></v-icon> : กำลังทำอาหาร</div>
    <div><v-icon icon="mdi-circle" color="green"></v-icon> : เสิร์ฟสำเร็จ</div>
  </v-container>


  <div style="padding: 20px"></div>
</template>
<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

div {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  font-size: 15px !important;
}
tr {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
}

th {
  font-size: 18px !important;
}

td {
  font-size: 15px !important;
}

#Menu {
  border-collapse: collapse;
  width: 100%;
}

#Menu th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #1c6758;
  color: white;
}

.shadow{
  text-shadow: 2px 2px black;
}

#Menu tr {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #ffefcf;
  color: black;
}

.htable {
  font-size: 24px;
  font-weight: bold;
  color: white;
  text-shadow: 2px 2px black;
}

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 15px;
  font-weight: bold;
  color: black;
}

.sum {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px;
  font-weight: bold;
}

.table {
  font-size: 34px;
  font-weight: bold;
  color: white;
}
</style>